Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360430 - Disabling a redhat repo leaves the content in Library
Summary: Disabling a redhat repo leaves the content in Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On: 1344257
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 17:26 UTC by John Mitsch
Modified: 2019-04-01 20:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC


Attachments (Terms of Use)

Description John Mitsch 2016-07-26 17:26:07 UTC
Description of problem:
When a red hat repository is disabled, the content still exists in the Library


Version-Release number of selected component (if applicable):

satellite-6.2.0-21.1.el7sat.noarch

How reproducible:

Always


Steps to Reproduce:
1. Enable a red hat repository
2. Sync repository
3. Disable the same repository

Actual results:

Content is still in Candlepin even when disabling the repo.
To check in the rails console run Katello::Resources::Candlepin::Content.get(<content_id>)

Expected results:

The content is cleared


Additional info:

Comment 1 John Mitsch 2016-07-26 17:32:42 UTC
Assigning to Justin as he is already working on this issue

Comment 2 Bryan Kearney 2016-07-26 18:53:36 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 3 Justin Sherrill 2016-07-26 18:58:13 UTC
This is being fixed as part of https://bugzilla.redhat.com/show_bug.cgi?id=1344257

this bz is more targeted to qe validation and insuring this workflow is also fixed.


Proposing for 6.2.z

Comment 5 Justin Sherrill 2016-08-25 16:56:32 UTC
moving to POST as this was fixed in https://bugzilla.redhat.com/show_bug.cgi?id=1344257

Comment 15 Peter Ondrejka 2017-01-19 11:57:41 UTC
Verified in Satellite 6.3 snap 8, disabled repo is not shown in Library, using:

Katello::Resources::Candlepin::Environment.all.find{|e| e['name'] == 'Library'}['environmentContent'].map{|c| c['contentId']}

Comment 16 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.